Holiday join
GET
/v1/joins/holidaysA series with the number of public holidays and weekend days in each period beside it.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| idrequired | string path | Series id from /v1/series e.g. jp.arrivals.total.m |
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
Request
# Any series with holiday counts per period
curl "https://api.tourismapi.com/v1/joins/holidays?id=jp.arrivals.total.m&from=2025-01&to=2026-08" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/joins/holidays?id=jp.arrivals.total.m&from=2025-01&to=2026-08", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/joins/holidays?id=jp.arrivals.total.m&from=2025-01&to=2026-08",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/joins/holidays?id=jp.arrivals.total.m&from=2025-01&to=2026-08");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_8192c35bc9",
"data_as_of": "2026-10-20T04:48:19Z",
"count": 20,
"series": "sr_wxq9yq5v",
"country": "JP"
},
"data": [
{
"period": "2025-01",
"value": 3781629,
"holidays": 2,
"holiday_list": [
{
"date": "2025-01-01",
"name": "New Year's Day"
},
{
"date": "2025-01-13",
"name": "Coming of Age Day"
}
]
},
{
"period": "2025-02",
"value": 3258491,
"holidays": 3,
"holiday_list": [
{
"date": "2025-02-11",
"name": "Foundation Day"
},
{
"date": "2025-02-23",
"name": "Emperor's Birthday"
},
{
"date": "2025-02-24",
"name": "Substitute Holiday"
}
]
},
{
"period": "2025-03",
"value": 3497755,
"holidays": 1,
"holiday_list": [
{
"date": "2025-03-20",
"name": "Vernal Equinox Day"
}
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| period | string | 2025-01 |
| value | number | 3781629 |
| holidays | number | 2 |
| holiday_list | array | 2 items |